/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TarjetaFidelidad;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Shiro
 */
public class RenderTarjetaFidelidad implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {

		TarjetaFidelidad tfC = (TarjetaFidelidad) o;
		Listcell lc;

		lc = new Listcell(tfC.getTarjetaFidelidadId().toString());
		lc.setParent(lstm);

		lc = new Listcell(tfC.getDescGeneracion());
		lc.setParent(lstm);

		lc = new Listcell(tfC.getNumTarjeta().toString());
		lc.setParent(lstm);

		lstm.setAttribute("data", tfC);
	}
}
